![Novaconium PHP](/_assets/novaconium-logo.png)

# Novaconium PHP:  A PHP Framework Built from the Past

NovaconiumPHP is a high-performance PHP framework designed with inspiration from classic coding principles. 

Pronounced: Noh-vah-koh-nee-um

Packagist: https://packagist.org/packages/4lt/novaconium 
Master Repo: https://git.4lt.ca/4lt/novaconium

## Getting Started

Novaconium is heavly influenced by docker, but you can use composer outside of docker.  
You can [learn more about how novaconium works with composer](https://git.4lt.ca/4lt/novaconium/src/branch/master/docs/Install-Composer-On-Debian.md).

```bash
PROJECTNAME=novaproject
mkdir -p $PROJECTNAME/novaconium;
cd $PROJECTNAME;

docker run --rm --interactive --tty --volume ./novaconium/:/app composer:latest require 4lt/novaconium

cp -R novaconium/vendor/4lt/novaconium/skeleton/. .

# Edit .env
# Edit novaconium/App/config.php

docker compose up -d
```

## Documentation

* [Novaconiumm Official Repo](https://git.4lt.ca/4lt/novaconium)
* [CORXN Apache and PHP Container for Novaconium](https://git.4lt.ca/4lt/CORXN)
