<?php

/**
 * Dump and Die
 */
function dd(...$vars) {
    echo "<pre style='background:#222;color:#0f0;padding:10px;border-radius:5px;'>";
    foreach ($vars as $var) {
        var_dump($var);
        echo "\n";
    }
    echo "</pre>";
    die();
}

function makeitso() {
    global $session, $db, $redirect, $config, $messages;

    if (!empty($config['database']['host'])) {
        $db->close();
    }

    $session->set('messages', $messages->getAllMessages());
    $session->write();

    $redirect->execute();

    exit();
}
